=== debian/control ===
Source: ros-melodic-mrpt-sensorlib
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-mrpt-msgs, ros-melodic-mrpt2, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: https://wiki.ros.org/mrpt_sensors
Standards-Version: 3.9.2

Package: ros-melodic-mrpt-sensorlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-mrpt-msgs, ros-melodic-mrpt2, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: C++ library for the base generic MRPT sensor node
